CURLINFO_CONDITION_UNMET(3)

NAME
CURLINFO_CONDITION_UNMET - get info on unmet time conditional or 304 HTTP response.

SYNOPSIS
#include <curl/curl.h>

CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_CONDITION_UNMET, long *unmet);

DESCRIPTION
Pass a pointer to a long to receive the number 1 if the condition provided in the previous request didn't match (see CURLOPT_TIMECONDITION(3)). Alas, if this returns a 1 you know that the reason you didn't get data in return is because it didn't fulfill the condition. The long this argument points to will get a zero stored if the condition instead was met. This can also return 1 if the server responded with a 304 HTTP status code, for example after sending a custom "If-Match-*" header.

PROTOCOLS
HTTP and some

EXAMPLE
CURL *curl = curl_easy_init();
if(curl) {
  curl_easy_setopt(curl, CURLOPT_URL, "https://example.com");

  /* January 1, 2020 is 1577833200 */
  curl_easy_setopt(curl, CURLOPT_TIMEVALUE, 1577833200L);

  /* If-Modified-Since the above time stamp */
  curl_easy_setopt(curl, CURLOPT_TIMECONDITION, CURL_TIMECOND_IFMODSINCE);

  /* Perform the request */
  res = curl_easy_perform(curl);

  if(!res) {
    /* check the time condition */
    long unmet;
    res = curl_easy_getinfo(curl, CURLINFO_CONDITION_UNMET, &unmet);
    if(!res) {
      printf("The time condition was %sfulfilled\n", unmet?"NOT":"");
    }
  }
}

AVAILABILITY
Added in 7.19.4

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
curl_easy_getinfo(3), curl_easy_setopt(3),